const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const title_crew = sequelize.define(
    'title_crew',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

department: {
        type: DataTypes.ENUM,
      
      

        values: [

"directing",


"writing",


"production",


"camera",


"sound",


"editing",


"art",


"costume_makeup",


"visual_effects",


"lighting",


"crew"

        ],

      },

job: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  title_crew.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















//end loop



    db.title_crew.belongsTo(db.titles, {
      as: 'title',
      foreignKey: {
        name: 'titleId',
      },
      constraints: false,
    });

    db.title_crew.belongsTo(db.people, {
      as: 'person',
      foreignKey: {
        name: 'personId',
      },
      constraints: false,
    });




    db.title_crew.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.title_crew.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return title_crew;
};


